<html>
	<head>
		<title>AJAX Jabber Chat</title>
		<!-- Load up the AJAX External JavaScript file -->
		<script type="text/javascript" src="ajax.js"></script>

		<!-- Local Javascript Functions and so on -->
		<script type="text/javascript">

			// A unique ID for this user
			var now = new Date();
			
			var uniqueid = "" + now.getTime() + Math.floor(Math.random()*10000);

			// A variable to hold the interval id
			var interval = null;	
	
			// A function to call our AJAX PHP script
			function call_ajax()
			{
				makeHttpRequest('ajax_jabber.php?uniqueid=' + uniqueid ,ajax_return);
			}

			// A function that gets called when ajax returns
			function ajax_return(response)
			{
				document.getElementById("chatmessages").innerHTML = response + document.getElementById("chatmessages").innerHTML;
			}
	
			// Setup AJAX function, creates a timeout so that we run something periodically
			function setup_ajax()
			{
				// Set interval of 5000 milliseconds
				// Keeps going...
				interval = setInterval("call_ajax()",5000);

				// Only happens once..
				//interval = setTimeout("call_ajax()",5000);
			}			
		
			// Register setup_ajax with the onload event of the window (when it is done loading)..	
			// Register setup_ajax with the onload event of the window (when it is done loading)..	
			function addOnLoad()
			{
				if (window.addEventListener)
				{
					window.addEventListener('load', setup_ajax, false);
				}
				else if (window.attachEvent)
				{
					window.attachEvent('onload', setup_ajax);
				}
			}
			addOnLoad();
			
			
			// Form Sending
			function submit_form()
			{
				// Manually getting the form values and sending them off
				var message = document.forms['theform'].message.value;
				message = encodeURI(message);
				makeHttpRequest('ajax_jabber.php?uniqueid=' + uniqueid + '&message=' + message,ajax_return);	
				document.getElementById("chatmessages").innerHTML =  "You: " + document.forms['theform'].message.value + "<br />" + document.getElementById("chatmessages").innerHTML;
				document.forms['theform'].message.value = "";
			}
		</script>
	</head>
	<body>
		<b>Looky here, you can chat with me live!</b>
		<div id="chatmessages" style="overflow: auto; width: 500px; height: 400px;">
		</div>
		<form method="GET" action="#" id="theform" onsubmit="submit_form(); return false;">
			<input type="text" name="message" />
			<input value="Submit" type="button" onClick="submit_form();" />
		</form>
	</body>
</html>
